! $Id: load_ima.prg,v 1.1.1.1 2007/08/24 09:49:23 amodigli Exp $
!------------------------------------------------------------------------------
! 
! Midas procedure load_ima.prg  for recipe `load_ima'
! K. Banse	970330
! M. Peron      970601
! this procedure loads an image into the display
! 
! param1 = name of output frame
!          this parameter is not needed nor used (artifact from DO)
! param2 = name of ASCII file containing the file to be loaded
! 
!------------------------------------------------------------------------------
! $Name: sinfo-2_2_5 $
! $Revision: 1.1.1.1 $
! $Log: load_ima.prg,v $
! Revision 1.1.1.1  2007/08/24 09:49:23  amodigli
! standard repository name for sinfoni rules
!
! Revision 1.1  2007/02/27 14:14:21  amodigli
! added to repository
!
! Revision 1.6  2003/07/03 13:09:30  amodigli
!
! realigned to 2.0.0 after uves sniff port to CVS
!
! Revision 1.2  2003/06/12 10:04:54  amodigli
!
! version 1.9.0: to be checked again..
!
! Revision 1.3  2001/01/04 11:09:35  amodigli
! Added Id, Name, Revision, Log conf. control info
!
!------------------------------------------------------------------------------
! 
define/param p1 ? c
define/param p2 ? c
!
log/recipe load_ima in			!log time of procedure start
! 
define/local count/i/1/1 0		!no. of input bias frames
define/local work/c/1/80 " "
DEFINE/LOCAL CATAL/I/1/1 0
! 
@d set_of_frames IN {p2} load_ima		!convert FITS input frames
! 
count = outputi(1)		!save no. of frames 
if count .lt. 1 return/exit
! 
cat_loop:
   store/frame work load_ima.cat 1 finito
   goto cat_loop
finito:
if pipeline(5) .eq. 1 then
   load/image {work} scale=full cuts=f,1sigma
endif
! 
log/recipe load_ima out 	!log time of procedure end + set return status
